%define version	0.10
%define release	2mdk
%define name 	perl-Mon
%define realname	Mon

Summary:	perl-Mon module
Name: 		%{name}
version: 	%{version}
Release: 	%{release}
Copyright: 	GPL
Group: 		Development/Perl
Source: 	ftp://ftp.kernel.org/pub/software/admin/mon/%{realname}-%{version}.tar.bz2
URL: 		http://www.kernel.org/software/mon/
BuildRoot: 	/%{_tmppath}/%{name}-%{version}-%{release}-root/
Prefix: %{_prefix}
Requires: 	perl
   
%description
This is the Perl5 module for interfacing with the Mon system monitoring
package. Currently only the client interface is implemented, but more
things like special logging routines and persistent monitors are being
considered.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{realname}-%{version}

%build
rm -rf $RPM_BUILD_ROOT
perl Makefile.PL PREFIX=%{prefix}
make
make test

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%makeinstall PREFIX=$RPM_BUILD_ROOT/%{prefix}

%files
%defattr(-,root,root)
%{_libdir}/perl5/site_perl/*
%{_libdir}/perl5/man/*/*
%doc CHANGES  COPYRIGHT COPYING README VERSION

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 31 2000 Philippe Libat <philippe@mandrakesoft.com> 0.10-2mdk
- doc
- macroszifications.

* Thu Aug 31 2000 Philippe Libat <philippe@mandrakesoft.com> 0.10-1mdk
- upgraded to 0.10

* Wed Jun 28 2000 Planel Nicolas <nicolas@mandrakesoft.com>
- Spec file was generated.

